Functions
Functions
BLE Services » Human Input Device Service (HIDS)
Collaboration diagram for Functions:

## Functions
sdk_err_t | hids_service_init (hids_init_t *p_hids_init)
| Initialize a HID Service instance in ATT DB. More...
sdk_err_t | hids_input_rep_send (uint8_t conn_idx, uint8_t rep_idx, uint8_t *p_data, uint16_t length)
| Send an input report. More...
sdk_err_t | hids_boot_kb_in_rep_send (uint8_t conn_idx, uint8_t *p_data, uint16_t length)
| Send boot keyboard input report. More...
sdk_err_t | hids_boot_mouse_in_rep_send (uint8_t conn_idx, uint8_t *p_data, uint16_t length)
| Send boot mouse input report. More...
uint16_t | hids_service_start_handle_get (void)
| Provide the interface for other modules to obtain the hids service start handle . More...

## Detailed Description

## Function Documentation

## ◆ hids_boot_kb_in_rep_send()

sdk_err_t hids_boot_kb_in_rep_send | ( | uint8_t | conn_idx,
|  | uint8_t * | p_data,
|  | uint16_t | length
| ) |  |

Send boot keyboard input report.

Parameters

  [in] | conn_idx | Connection index.
  [in] | p_data | Pointer to data to be sent.
  [in] | length | Length of data to be sent.

Returns
  BLE_SDK_SUCCESS on success, otherwise an error code.

## ◆ hids_boot_mouse_in_rep_send()

sdk_err_t hids_boot_mouse_in_rep_send | ( | uint8_t | conn_idx,
|  | uint8_t * | p_data,
|  | uint16_t | length
| ) |  |

Send boot mouse input report.

Parameters

  [in] | conn_idx | Connection index.
  [in] | p_data | Pointer to data to be sent.
  [in] | length | Length of data to be sent.

Returns
  BLE_SDK_SUCCESS on success, otherwise an error code.

## ◆ hids_input_rep_send()

sdk_err_t hids_input_rep_send | ( | uint8_t | conn_idx,
|  | uint8_t | rep_idx,
|  | uint8_t * | p_data,
|  | uint16_t | length
| ) |  |

Send an input report.

Parameters

  [in] | conn_idx | Connection index.
  [in] | rep_idx | Input report inedx.
  [in] | p_data | Pointer to data to be sent.
  [in] | length | Length of data to be sent.

Returns
  BLE_SDK_SUCCESS on success, otherwise an error code.

## ◆ hids_service_init()

sdk_err_t hids_service_init | ( | hids_init_t * | p_hids_init | ) |

Initialize a HID Service instance in ATT DB.

Parameters

  [in] | p_hids_init | Pointer to a HID Service initialization variable.

Returns
  Result of service initialization.

## ◆ hids_service_start_handle_get()

uint16_t hids_service_start_handle_get | ( | void |  | ) |

Provide the interface for other modules to obtain the hids service start handle .

Returns
  The hids service start handle.